media-assets resource endpoint
URL: /assets/<id>/media-assets.<format>
Supported Methods
| GET | Get a list of media assets that are embedded in the content of the selected asset. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Asset>.
- entries (array<Asset>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of media assets that are embedded in the content of the selected asset.
$tp->assets->getMediaAssets(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /assets/6a012877b13de7970c012877b143d0970c/media-assets.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 45
{
"entries": [],
"totalResults": 0
}